# $Revision: 1.88 $, $Date: 2010/05/16 11:34:35 $
# TODO:
#	- internal portaudio crashes when only OSS is available on startup
#	- use system vamp
#
# Conditional build:
%bcond_with	libresample	# using libresample (default libsamplerate)
#
Summary:	Audacity - manipulate digital audio waveforms
Summary(pl.UTF-8):	Audacity - narzędzie do obróbki plików dźwiękowych
Summary(ru.UTF-8):	Кроссплатформенный звуковой редактор
Name:		audacity
Version:	1.3.12
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://audacity.googlecode.com/files/%{name}-minsrc-%{version}-beta.tar.bz2
# Source0-md5:	76996fec67181ca82ba191e012518b57
# Link from http://manual.audacityteam.org/index.php?title=Main_Page
Source1:	http://manual.audacityteam.org/help.zip
# Source1-md5:	2043778cfd3c7df9b3774526e123d6d8
Source2:	%{name}.desktop
Source3:	%{name}-icon.png
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-no-macos.patch
URL:		http://audacity.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95
BuildRequires:	fftw-devel >= 2.1.4
BuildRequires:	flac-c++-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	libid3tag-devel >= 0.15.0b-2
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel >= 0.14.2b-4
%{?with_libresample:BuildRequires:	libresample-devel >= 0.1.3}
%{!?with_libresample:BuildRequires:	libsamplerate-devel >= 0.1.2}
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	pkgconfig
BuildRequires:	soundtouch-devel >= 1.3.0
BuildRequires:	speex-devel
BuildRequires:	twolame-devel
BuildRequires:	unzip
BuildRequires:	which
BuildRequires:	wxGTK2-unicode-devel >= 2.8.0
Requires(post,postun):	shared-mime-info
Requires:	lame-libs
Requires:	libid3tag >= 0.15.0b-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audacity is a program that lets you manipulate digital audio
waveforms. It imports many sound file formats, including WAV, AIFF,
AU, IRCAM, MP3, and Ogg Vorbis. It supports all common editing
operations such as Cut, Copy, and Paste, plus it will mix tracks and
let you apply plug-in effects to any part of a sound.

%description -l pl.UTF-8
Audacity to program obsługujący różne formaty plików audio. Obsługuje
WAV, AIFF, AU, IRCAM, MP3, oraz Ogg Vorbis. Program ten umożliwia
wykonywanie podstawowych czynności edycyjnych takich jak kasowanie,
wstawianie i miksowanie ścieżki dźwiękowej. Umożliwia także
wykonywanie dowolnych innych operacji poprzez system wtyczek.

%description -l ru.UTF-8
Audacity - это звуковой редактор, позволяющий работать с файлами в
форматах WAV, AIFF, AU, IRCAM, MP3 и Ogg Vorbis. В нем реализованы все
основные операции, такие как удаление, копирование, вставка,
микширование треков и применение эффектов, оформленных в виде
плагинов, к любой части звукового файла.

%prep
%setup -q -n %{name}-src-%{version}-beta
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i 's/libmp3lame.so/libmp3lame.so.0/g' locale/*.po

%build
cd lib-src/portmixer
%{__autoconf}
cd ../portsmf
%{__aclocal} -I autotools/m4
%{__autoconf}
cd ../..
%{__aclocal} -I m4
%{__autoconf}

export WX_CONFIG=$(which wx-gtk2-unicode-config)
%configure \
%if %{with libresample}
	--with-libresample=system \
%else
	--with-libresample=no \
	--with-libsamplerate=system \
%endif
	--with-help \
	--with-id3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-libflac=system \
	--with-vorbis=system

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_PATH=$RPM_BUILD_ROOT

cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
%{__unzip} -qq -a %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/%{name}/help

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{zh,zh_CN}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/ca@valencia

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/audacity
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/nyquist
%{_datadir}/%{name}/plug-ins
%doc %{_datadir}/%{name}/help
%{_mandir}/man1/*.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_datadir}/mime/packages/audacity.xml
%{_iconsdir}/hicolor/*/apps/audacity.png
%{_iconsdir}/hicolor/scalable/apps/audacity.svg

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: audacity.spec,v $
Revision 1.88  2010/05/16 11:34:35  glen
- use glob

Revision 1.87  2010/05/16 11:17:24  sparky
- replaced BR: zip with BR: unzip

Revision 1.86  2010/05/16 11:09:58  baggins
- 1.3.12
- don't try to pull MacOS header in portaudio headers
- package hicolor icons

Revision 1.85  2010/05/12 12:24:51  baggins
- rel 2
- fixed desktop categories

Revision 1.84  2010/01/20 07:15:00  arekm
- up to 1.3.11

Revision 1.83  2009/09/04 05:36:16  glen
- up to 1.3.9, add and package manual pages

Revision 1.82  2009/07/18 12:38:18  arekm
- up to 1.3.8

Revision 1.81  2009/06/21 13:56:02  hawk
- updated to 1.3.7, dropped ca@valencia locale

Revision 1.80  2009/05/26 13:05:28  arekm
- up to 1.3.6

Revision 1.79  2009/05/26 12:36:40  arekm
- release 2

Revision 1.78  2007/11/25 04:20:01  sls
- more TODO
- fixed previous commit message

Revision 1.77  2007-11-25 03:59:51  sls
- ver. 1.3.4
- removed not_require_lame-libs-devel-generated_part.patch, flac.patch
- updated system-libs.patch

Revision 1.76  2007-09-21 21:59:51  arekm
- rel 3

Revision 1.75  2007/09/21 18:18:55  arekm
- rel 2

Revision 1.74  2007/08/07 17:06:33  qboosh
- BR: flac-c++-devel

Revision 1.73  2007/06/16 18:42:40  sls
- rel. 1

Revision 1.72  2007/06/16 16:10:02  sls
- added not_require_lame-libs-devel-generated_part.patch

Revision 1.71  2007/06/16 15:50:31  sls
- removed wx28.patch (fixed mainstream)
- updated *.patches

Revision 1.70  2007/06/16 15:35:16  sls
- ver. 1.3.3

Revision 1.69  2007/06/11 19:05:12  qrczak
- Fixed encoding of Russian in spec.

Revision 1.68  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.66  2007/01/07 19:34:50  qboosh
- bcond header

Revision 1.65  2007/01/02 20:12:34  sls
- added bcond libresample - audacity uses one of libsamplerate, libresample

Revision 1.64  2007/01/02 04:11:13  sls
- fixed "Portable Settings" issue (fixed patch wx28)
- removing useless /usr/share/doc/audacity
- removed TODO entry about nyquist (audacity uses non-vanilla nyquist)

Revision 1.63  2006/12/29 20:47:33  qboosh
- BR: twolame-devel

Revision 1.62  2006/12/29 20:47:02  qboosh
- added system-libs patch (use system libresample,soundtouch,twolame)
- added opt patch (optflags in internal libnyquist,portmixer)
- noted some problems noticed

Revision 1.61  2006/12/29 03:49:59  qboosh
- fixed not_require_lame-libs-devel patch
- added flac patch for flac 1.1.3

Revision 1.60  2006/12/25 17:59:38  jareq
- switch to unicode build
- register *.aup (audacity project) in mime database
- rel 2

Revision 1.59  2006/12/25 15:30:14  sls
- added patch wx28
- BR: wxGTK-devel >= 2.8.0
- added TODO

Revision 1.58  2006/12/15 14:11:29  kosmo
- typo againg ...

Revision 1.57  2006/12/15 14:10:35  kosmo
- typo :)

Revision 1.56  2006/12/15 14:08:52  kosmo
- updated to 1.3.2

Revision 1.55  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.54  2006/08/30 17:02:56  havner
- call configure in soundtouch
- gcc4 patch
- rel 2

Revision 1.53  2005/12/03 22:51:53  dzeus
- up to 1.2.4b
- updated not_require_lame-libs-devel.patch, removed obsolete wx.patch

Revision 1.52  2005/05/14 11:17:18  ankry
- zh locale fix, rel. 6

Revision 1.51  2005/05/03 15:18:26  qboosh
- added types patch (needed on 64-bit archs)
- dropped no-rtti (caused linking failure on amd64)
- release 5

Revision 1.50  2005/05/03 13:52:00  qboosh
- added wx patch (missing include), release 4 for wx 2.6.0 (gtk1 dropped)

Revision 1.49  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.48  2004/12/06 15:40:21  zbyniu
- BR: automake, which

Revision 1.47  2004/12/06 14:54:30  havner
- rel2, fixed amd64

Revision 1.46  2004/12/06 14:42:20  havner
- one more config.sub

Revision 1.45  2004/12/05 21:37:48  dzeus
- up to 1.2.3
- removed obsolete helpfile_location.patch

Revision 1.44  2004/11/30 13:29:21  paladine
- rel 2 for fixed desktop file

Revision 1.43  2004/10/17 19:46:33  qboosh
- updated helpfile_location patch to install help file to wanted place

Revision 1.42  2004/09/16 23:11:58  jareq
- updates to 1.2.2
- STBR

Revision 1.41  2004/01/19 01:54:55  undefine
- copy config.sub, release 2

Revision 1.40  2003/11/22 21:33:36  qboosh
- simplified Source0 URL

Revision 1.39  2003/11/22 18:10:43  freetz
- typo

Revision 1.38  2003/11/22 18:06:48  freetz
- 1.2.0-pre3
- BR fix

Revision 1.37  2003/10/19 16:45:39  qboosh
- use system, patched libid3tag

Revision 1.36  2003/10/16 19:00:42  freetz
- solved linking with external expat library
- due to changes in included id3tag lib it can't be build with system lib
- new style bcond

Revision 1.35  2003/10/16 13:06:51  freetz
- up to 1.2.0-pre2
- disabled build with system expat (incompatiblity?)
- disabled build with system id3tag (same as above)
- help file is back
- it won't builds with -fnoexeptions (removed)
- .desktop moved to desktopdir
- builds and works ok
  NOTE: needs some investigation about expat and id3tag

Revision 1.34  2003/09/30 12:55:28  qboosh
- s/mad-devel/libmad-devel/

Revision 1.33  2003/09/20 22:30:45  ankry
- cosmetics

Revision 1.32  2003/09/20 20:28:22  adasi
- one more BR

Revision 1.31  2003/09/20 20:23:40  adasi
- added missing BR

Revision 1.30  2003/08/06 16:30:49  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.29  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 05:45:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/14 20:38:24  qboosh
- use system libsamplerate, release 2

Revision 1.26  2003/04/21 01:12:52  qboosh
- typo

Revision 1.25  2003/04/18 07:54:36  kloczek
- merge translations from ALT Linux and better %description.

Revision 1.24  2003/03/31 23:21:04  qboosh
- fixed *.po in not_require_lame-libs-devel patch
- BR: fixed mad-devel - surprise, flac isn't "too old" now
- added _with_gtk1 bcond

Revision 1.23  2003/03/28 16:42:07  wiget
- up to 1.1.3

Revision 1.22  2003/03/14 17:05:07  wiget
- fix BR

Revision 1.21  2003/03/14 17:03:54  wiget
- place %subv in Version
- compile with wxGTK2 2.4.0

Revision 1.20  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.19  2003/01/25 14:43:44  qboosh
- updated to 1.1.1, removed obsolete dynamic_id3lib patch
- updated helpfile_location,not_require_lame-libs-devel patches
- added system-expat,opt,segv patches

Revision 1.18  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.17  2002/12/28 01:38:09  qboosh
- use new Group: X11/Applications/Sound

Revision 1.16  2002/10/07 09:38:16  qboosh
- BR: autoconf

Revision 1.15  2002/07/24 23:01:43  kloczek
- added using %{__cxx} macro.

Revision 1.14  2002/07/24 19:33:56  qboosh
- updated to final 1.0.0 (latest stable version)
- updated dynamic_id3lib patch, removed outdated wxGTK-2.3.2 patch
- added missing dir (%{_datadir}/audacity), removed LICENSE.txt (it's just GPL)

Revision 1.13  2002/07/21 16:56:21  kloczek
- release 4: rebuild agauinst final libvorbis 1.0 and use new %doc.

Revision 1.12  2002/07/05 14:20:43  wiget
- release 3
- BR fixed wxGTK-devel
- BR id3lib-devel

Revision 1.11  2002/05/21 23:12:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/12 22:52:48  kloczek
- release 2.

Revision 1.9  2002/05/12 13:30:37  mkochano
- BuildRequires: wxGTK-devel >= 2.3.2-7.

Revision 1.8  2002/05/12 07:48:27  djrzulf
- added patch which fix build with wxGTK-2.3.2,
- STBR,

Revision 1.7  2002/04/25 15:49:37  arturs
- fixed a small typo

Revision 1.6  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/06 03:05:18  kloczek
- adapterized.

Revision 1.4  2002/02/02 15:34:00  mkochano
- Release 1 "I don't think I'll pass my exams".
- Version 0.98.
- Added icon and desktop file.
- Added patch to dynamically link with id3lib.
- Changed help file location to %{_datadir}/%{name}.
- Added patch to look for libmp3lame.so.0.0.0 so it doesn't need -devel
  package.
- Completed BuildRequires.

Revision 1.3  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/12 08:53:14  qboosh
- use more macros, gzip doc

Revision 1.1  2001/11/11 01:43:53  fastviper
- created this spec from scratch
